aboutsummaryrefslogtreecommitdiffstats
path: root/resources/catalog
diff options
context:
space:
mode:
authorfujinhua <fu.jinhua@zte.com.cn>2018-08-04 11:16:29 +0800
committerfujinhua <fu.jinhua@zte.com.cn>2018-08-04 11:21:29 +0800
commitf5e35d09ff5dda2899f52c00c06da7e7e72a2c64 (patch)
tree9b8fea0c9b21c315f35cf28b9e36de0d3ae267df /resources/catalog
parente6bbd47fea516548bcfa3213da7aa060138fde33 (diff)
Add vfc-db component seed codes
Change-Id: If1634e4124a71ef0544caef9aee1a08da060a803 Issue-ID: VFC-954 Signed-off-by: fujinhua <fu.jinhua@zte.com.cn>
Diffstat (limited to 'resources/catalog')
-rwxr-xr-xresources/catalog/bin/initDB.sh49
-rw-r--r--resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql31
-rw-r--r--resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql44
3 files changed, 124 insertions, 0 deletions
diff --git a/resources/catalog/bin/initDB.sh b/resources/catalog/bin/initDB.sh
new file mode 100755
index 0000000..a63ee68
--- /dev/null
+++ b/resources/catalog/bin/initDB.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Copyright 2018 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start create nfvocatalog db"
+sql_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+ echo "failed to create nfvocatalog database"
+ exit 1
+fi
+fileFlag=*createobj.sql
+location=$sql_path/dbscripts/mysql
+fileName=""
+for i in `ls $location`
+do
+ if [[ $i == ${fileFlag} ]];then
+ fileName=${i};
+ echo "start create table:${fileName}"
+ mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/$fileName
+ sql_result=$?
+ if [ $sql_result != 0 ] ; then
+ echo "failed to init nfvocatalog table:${fileName}"
+ exit 1
+ fi
+ fi
+done
+echo "init nfvocatalog database success!"
+exit 0
diff --git a/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql b/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
new file mode 100644
index 0000000..a1fd3e2
--- /dev/null
+++ b/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
@@ -0,0 +1,31 @@
+--
+-- Copyright 2018 ZTE Corporation.
+--
+-- Licensed under the Apache License, Version 2.0 (the "License");
+-- you may not use this file except in compliance with the License.
+-- You may obtain a copy of the License at
+--
+-- http://www.apache.org/licenses/LICENSE-2.0
+--
+-- Unless required by applicable law or agreed to in writing, software
+-- distributed under the License is distributed on an "AS IS" BASIS,
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+-- See the License for the specific language governing permissions and
+-- limitations under the License.
+--
+
+/******************drop old database and user***************************/
+use mysql;
+drop database IF EXISTS nfvocatalog;
+delete from user where User='nfvocatalog';
+FLUSH PRIVILEGES;
+
+/******************create new database and user***************************/
+create database nfvocatalog CHARACTER SET utf8;
+
+GRANT ALL PRIVILEGES ON nfvocatalog.* TO 'nfvocatalog'@'%' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'nfvocatalog'@'%' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+
+GRANT ALL PRIVILEGES ON nfvocatalog.* TO 'nfvocatalog'@'localhost' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'nfvocatalog'@'localhost' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+FLUSH PRIVILEGES;
diff --git a/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql b/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql
new file mode 100644
index 0000000..e33251f
--- /dev/null
+++ b/resources/catalog/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql
@@ -0,0 +1,44 @@
+--
+-- Copyright 2018 ZTE Corporation.
+--
+-- Licensed under the Apache License, Version 2.0 (the "License");
+-- you may not use this file except in compliance with the License.
+-- You may obtain a copy of the License at
+--
+-- http://www.apache.org/licenses/LICENSE-2.0
+--
+-- Unless required by applicable law or agreed to in writing, software
+-- distributed under the License is distributed on an "AS IS" BASIS,
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+-- See the License for the specific language governing permissions and
+-- limitations under the License.
+--
+
+use nfvocatalog;
+
+DROP TABLE IF EXISTS CATALOG_JOB;
+DROP TABLE IF EXISTS CATALOG_JOB_STATUS;
+DROP TABLE IF EXISTS CATALOG_NSPACKAGE;
+DROP TABLE IF EXISTS CATALOG_SOFTWAREIMAGEMODEL;
+DROP TABLE IF EXISTS CATALOG_VNFPACKAGE;
+
+--
+-- Create model JobModel
+--
+CREATE TABLE `CATALOG_JOB` (`JOBID` varchar(255) NOT NULL PRIMARY KEY, `JOBTYPE` varchar(255) NOT NULL, `JOBACTION` varchar(255) NOT NULL, `RESID` varchar(255) NOT NULL, `STATUS` integer NULL, `STARTTIME` varchar(255) NULL, `ENDTIME` varchar(255) NULL, `PROGRESS` integer NULL, `USER` varchar(255) NULL, `PARENTJOBID` varchar(255) NULL, `RESNAME` varchar(255) NULL);
+--
+-- Create model JobStatusModel
+--
+CREATE TABLE `CATALOG_JOB_STATUS` (`id` integer AUTO_INCREMENT NOT NULL PRIMARY KEY, `INDEXID` integer NOT NULL, `JOBID` varchar(255) NOT NULL, `STATUS` varchar(255) NOT NULL, `PROGRESS` integer NULL, `DESCP` longtext NOT NULL, `ERRCODE` varchar(255) NULL, `ADDTIME` varchar(255) NULL);
+--
+-- Create model NSPackageModel
+--
+CREATE TABLE `CATALOG_NSPACKAGE` (`NSPACKAGEID` varchar(50) NOT NULL PRIMARY KEY, `NSPACKAGEURI` varchar(300) NULL, `CHECKSUM` varchar(50) NULL, `SDCCSARID` varchar(50) NULL, `OPERATIONALSTATE` varchar(20) NULL, `USAGESTATE` varchar(20) NULL, `DELETIONPENDING` varchar(20) NULL, `NSDID` varchar(50) NULL, `NSDNAME` varchar(50) NULL, `NSDDESIGNER` varchar(50) NULL, `NSDDESCRIPTION` varchar(100) NULL, `NSDVERSION` varchar(20) NULL, `USERDEFINEDDATA` longtext NULL, `LOCALFILEPATH` varchar(300) NULL, `NSDMODEL` longtext NULL);
+--
+-- Create model SoftwareImageModel
+--
+CREATE TABLE `CATALOG_SOFTWAREIMAGEMODEL` (`IMAGEID` varchar(50) NOT NULL PRIMARY KEY, `CONTAINERFORMAT` varchar(20) NOT NULL, `DISKFORMAT` varchar(20) NOT NULL, `MINDISK` varchar(20) NOT NULL, `MINRAM` varchar(20) NOT NULL, `USAERMETADATA` varchar(1024) NOT NULL, `VNFPACKAGEID` varchar(50) NOT NULL, `FILEPATH` varchar(300) NOT NULL, `STATUS` varchar(10) NOT NULL, `VIMID` varchar(50) NOT NULL);
+--
+-- Create model VnfPackageModel
+--
+CREATE TABLE `CATALOG_VNFPACKAGE` (`VNFPACKAGEID` varchar(50) NOT NULL PRIMARY KEY, `VNFPACKAGEURI` varchar(300) NULL, `SDCCSARURI` varchar(300) NULL, `CHECKSUM` varchar(50) NULL, `OPERATIONALSTATE` varchar(20) NULL, `USAGESTATE` varchar(20) NULL, `DELETIONPENDING` varchar(20) NULL, `VNFDID` varchar(50) NULL, `VENDOR` varchar(50) NULL, `VNFDPRODUCTNAME` varchar(50) NULL, `VNFDVERSION` varchar(20) NULL, `VNFSOFTWAREVERSION` varchar(20) NULL, `USERDEFINEDDATA` longtext NULL, `LOCALFILEPATH` varchar(300) NULL, `VNFDMODEL` longtext NULL);